Debian Bug report logs - #718037
ITP: neutron -- OpenStack virtual networking: a rename for Quantum

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Sun, 28 Jul 2013 03:45:02 UTC

Owned by: Thomas Goirand <zigo@debian.org>

Severity: wishlist

Fixed in version neutron/2013.2~b3-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, openstack-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#718037; Package wnpp. (Sun, 28 Jul 2013 03:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, openstack-devel@lists.alioth.debian.org, wnpp@debian.org. (Sun, 28 Jul 2013 03:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: neutron -- OpenStack virtual networking: a rename for Quantum
Date: Sun, 28 Jul 2013 11:42:34 +0800
Package: wnpp
Severity: wishlist
Owner: Thomas Goirand <zigo@debian.org>

* Package name    : neutron
  Version         : 2013.2~b2-1
  Upstream Author : OpenStack Development Mailing List <openstack-dev@lists.openstack.org>
* URL             : http://www.openstack.org/
* License         : Apache-2.0
  Programming Lang: Python
  Description     : OpenStack virtual networking: a rename for Quantum

 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.

This ITP ack the fact that Quantum has been renamed as Neutron because of
a trademark issue. This is currently being taken care of in Debian too.

Cheers,

Thomas Goirand (zigo)



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 01 Oct 2013 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Tue, 08 Oct 2013 16:03:10 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Tue, 08 Oct 2013 16:03:10 GMT) Full text and rfc822 format available.

Message #12 received at 718037-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 718037-close@bugs.debian.org
Subject: Bug#718037: fixed in neutron 2013.2~b3-1
Date: Tue, 08 Oct 2013 16:00:10 +0000
Source: neutron
Source-Version: 2013.2~b3-1

We believe that the bug you reported is fixed in the latest version of
neutron, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 718037@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated neutron package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 27 Jul 2013 13:11:22 +0800
Source: neutron
Binary: python-neutron neutron-server neutron-common neutron-plugin-nec-agent neutron-l3-agent neutron-dhcp-agent neutron-metadata-agent neutron-metering-agent neutron-vpn-agent neutron-lbaas-agent neutron-plugin-openvswitch-agent neutron-plugin-linuxbridge-agent python-quantum quantum-server quantum-common quantum-plugin-cisco quantum-plugin-nec quantum-plugin-nec-agent quantum-plugin-bigswitch quantum-plugin-hyperv quantum-plugin-brocade quantum-plugin-plumgrid quantum-plugin-metaplugin quantum-plugin-nicira quantum-l3-agent quantum-dhcp-agent quantum-metadata-agent quantum-lbaas-agent quantum-plugin-openvswitch quantum-plugin-openvswitch-agent quantum-plugin-linuxbridge quantum-plugin-linuxbridge-agent
Architecture: source all
Version: 2013.2~b3-1
Distribution: experimental
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 neutron-common - OpenStack virtual network service - common files
 neutron-dhcp-agent - OpenStack virtual network service - DHCP agent
 neutron-l3-agent - OpenStack virtual network service - l3 agent
 neutron-lbaas-agent - OpenStack virtual network service - LBaaS agent
 neutron-metadata-agent - OpenStack virtual network service - metadata agent
 neutron-metering-agent - OpenStack virtual network service - metering agent
 neutron-plugin-linuxbridge-agent - OpenStack virtual network service - Linux bridge agent
 neutron-plugin-nec-agent - OpenStack virtual network service - NEC agent
 neutron-plugin-openvswitch-agent - OpenStack virtual network service - Open vSwitch agent
 neutron-server - OpenStack virtual network service - server
 neutron-vpn-agent - OpenStack virtual network service - VPN agent
 python-neutron - OpenStack virtual network service - Python library
 python-quantum - transitional dummy package for switching to python-neutron
 quantum-common - transitional dummy package for switching to neutron-common
 quantum-dhcp-agent - transitional dummy package for upgrading quantum-dhcp-agent
 quantum-l3-agent - transitional dummy package for upgrading quantum-l3-agent
 quantum-lbaas-agent - transitional dummy package for upgrading quantum-lbaas-agent
 quantum-metadata-agent - transitional dummy package for upgrading quantum-metadata-agent
 quantum-plugin-bigswitch - transitional dummy package for upgrading quantum-plugin-bigswitch
 quantum-plugin-brocade - transitional dummy package for upgrading quantum-plugin-brocade
 quantum-plugin-cisco - transitional dummy package for upgrading quantum-plugin-cisco
 quantum-plugin-hyperv - transitional dummy package for upgrading quantum-plugin-hyperv
 quantum-plugin-linuxbridge - transitional dummy package for upgrading quantum-plugin-linuxbrid
 quantum-plugin-linuxbridge-agent - transitional dummy package for upgrading quantum-plugin-linuxbrid
 quantum-plugin-metaplugin - transitional dummy package for upgrading quantum-plugin-metaplugi
 quantum-plugin-nec - transitional dummy package for upgrading quantum-plugin-nec
 quantum-plugin-nec-agent - transitional dummy package for upgrading quantum-plugin-nec-agent
 quantum-plugin-nicira - transitional dummy package for upgrading quantum-plugin-nicira
 quantum-plugin-openvswitch - transitional dummy package for upgrading quantum-plugin-openvswit
 quantum-plugin-openvswitch-agent - transitional dummy package for upgrading quantum-plugin-openvswit
 quantum-plugin-plumgrid - transitional dummy package for upgrading quantum-plugin-plumgrid
 quantum-server - transitional dummy package for switching to neutron-server
Closes: 718037
Changes: 
 neutron (2013.2~b3-1) experimental; urgency=low
 .
   * Initial release. (Closes: #718037)
Checksums-Sha1: 
 494eab212ad005b80c805b0952343afe2cbe4fdd 4569 neutron_2013.2~b3-1.dsc
 cfb165dc3a39088eb6f0c22d2e4390c709fe76e3 946552 neutron_2013.2~b3.orig.tar.xz
 c459f3d9721fa9165da86608b8dbfbcb0314bc09 22035 neutron_2013.2~b3-1.debian.tar.gz
 a94b0811c5420de417ee606dc701169962ab22b9 837850 python-neutron_2013.2~b3-1_all.deb
 26ffa1485de63ddebf600b27be3c5ac38d3b5480 11798 neutron-server_2013.2~b3-1_all.deb
 3dbbf0ffc8c79332c22961343db35794247cc70f 33078 neutron-common_2013.2~b3-1_all.deb
 e3db5a72569d1e26545f111faca28efec4df374f 2710 neutron-plugin-nec-agent_2013.2~b3-1_all.deb
 3f448f73e7ac68ef2306e9939dffa538e766d0d2 4850 neutron-l3-agent_2013.2~b3-1_all.deb
 924bbd3144cb0f8f7b78e36793a541155e9e8e82 11328 neutron-dhcp-agent_2013.2~b3-1_all.deb
 b66c915ff89de714f6c87d859036b21ab86fddc1 11330 neutron-metadata-agent_2013.2~b3-1_all.deb
 a1b9d7833a114aa15fc23815abcbf0c6316a843d 3910 neutron-metering-agent_2013.2~b3-1_all.deb
 903ae7ec8e94f978da310c11e76d84dcaa8ce76c 3942 neutron-vpn-agent_2013.2~b3-1_all.deb
 aac90072bd9caa070733291b09d1fe7c5b6aa468 4378 neutron-lbaas-agent_2013.2~b3-1_all.deb
 c1fba3d20b25b2b79be0b02b12e123d90ba7a5db 4160 neutron-plugin-openvswitch-agent_2013.2~b3-1_all.deb
 a8abc92420161002418e7f586ec749fd5d782760 4024 neutron-plugin-linuxbridge-agent_2013.2~b3-1_all.deb
 23d9df5dc5974944ed5dfa485438d9c1432bfebf 2152 python-quantum_2013.2~b3-1_all.deb
 5285d3c6a0bf2aa31b66b01c7f44ef80b0f62b9d 2150 quantum-server_2013.2~b3-1_all.deb
 f37a77885d4e88cb0b84dccb2b5fdd2c9b902e51 2156 quantum-common_2013.2~b3-1_all.deb
 36f3d5c431a6f3a9c801a79c8daae403fdc9fd6b 2168 quantum-plugin-cisco_2013.2~b3-1_all.deb
 4c528874e40c07af61bb446676821aa1d66ab063 2166 quantum-plugin-nec_2013.2~b3-1_all.deb
 8ea4ce3e58715b20cf54dddc298ca05369e158af 2164 quantum-plugin-nec-agent_2013.2~b3-1_all.deb
 a8d0fcaed48b88217db168c2d18b9b65c7d7066d 2174 quantum-plugin-bigswitch_2013.2~b3-1_all.deb
 ddedb115dd2ccb7f8c31dc22ed3c84a87d9307a4 2168 quantum-plugin-hyperv_2013.2~b3-1_all.deb
 65c5079d3062c1eb8398f9ab0472f12be80780f9 2170 quantum-plugin-brocade_2013.2~b3-1_all.deb
 a82963ac2fae0e7118d43579dc8824a47164e1ae 2172 quantum-plugin-plumgrid_2013.2~b3-1_all.deb
 4667fd53a7e6dbabcfa4704958176980feb7cbd1 2170 quantum-plugin-metaplugin_2013.2~b3-1_all.deb
 389c9afd7fc3717eef41cb1047dc48f013ef19ca 2168 quantum-plugin-nicira_2013.2~b3-1_all.deb
 b2843a972f5a54bf15952ae11c702968a315b5ee 2158 quantum-l3-agent_2013.2~b3-1_all.deb
 b1ff92ff62b56ef021ab4f0453ce0f0fa20c6e60 2162 quantum-dhcp-agent_2013.2~b3-1_all.deb
 e35315de9a26feb970eee01aa011812510d98bac 2168 quantum-metadata-agent_2013.2~b3-1_all.deb
 5fe7bb23d53b1ea8568ec74c7270285ef319b3db 2170 quantum-lbaas-agent_2013.2~b3-1_all.deb
 dae2e585e5abfa4a0c66cf30c5f09822adcb2a3e 2176 quantum-plugin-openvswitch_2013.2~b3-1_all.deb
 f268fd786f845df594e91ab9dc7aa63f5409f7fa 2178 quantum-plugin-openvswitch-agent_2013.2~b3-1_all.deb
 929fd77d7d962312d7cfa93495270288a0e73dbe 2180 quantum-plugin-linuxbridge_2013.2~b3-1_all.deb
 646bcc52370e6ebe18ae2f5e068bc1fd7946b961 2178 quantum-plugin-linuxbridge-agent_2013.2~b3-1_all.deb
Checksums-Sha256: 
 a027a83dda28171778340396669457421377212ad3fc5eaddc3c94c4f83b5dee 4569 neutron_2013.2~b3-1.dsc
 c0404483ab881797604b1abe2ec85a96a1dfa0ae4480b0798fdd7f1bb477e5cd 946552 neutron_2013.2~b3.orig.tar.xz
 5683fb4cdb0e902250f81875599486bdc2a7e99ca0d2c4ae3cb48092481bfacb 22035 neutron_2013.2~b3-1.debian.tar.gz
 179b7ba471a94c2cab68272175e3e005bcc912f592a61bcb81c51837cdcbeb2e 837850 python-neutron_2013.2~b3-1_all.deb
 925e7ae263e79feabfbd817fdb6b97c7824689abae289b549e784724f1e724a6 11798 neutron-server_2013.2~b3-1_all.deb
 2a6668a19c3dbbbeea38934425f3294aa50639c13962a406e84c014a10209da7 33078 neutron-common_2013.2~b3-1_all.deb
 c37b71894792af5255c482e5443419da015ecc60b2fa1fab20029cd1bdbe65e5 2710 neutron-plugin-nec-agent_2013.2~b3-1_all.deb
 6b9c696f1425a3ee7a498402213cc09f7fa83c221c0324d4cff4c7455dfe6e8e 4850 neutron-l3-agent_2013.2~b3-1_all.deb
 667c4796b63db43d3cf7b6213655453d121c78a20a0f6b4c03571dad75f7ae94 11328 neutron-dhcp-agent_2013.2~b3-1_all.deb
 a58e1546882606dc598207bb8be5077eac858c70beea6b6e7bdd839c0ffba339 11330 neutron-metadata-agent_2013.2~b3-1_all.deb
 20c91a9982cb1115a0c75eed153dcfe7aeb3b68f27a1c2e1745cbf259643fde9 3910 neutron-metering-agent_2013.2~b3-1_all.deb
 70f535f3556ddb8d2aa2cfcabf88e4e18dba874c174d54aea3fbfe1d5f54eaf2 3942 neutron-vpn-agent_2013.2~b3-1_all.deb
 02247b37760f25acfd0b7e018d64c394bd83b0d3f83e1f2b5f9f03cb39ea5f09 4378 neutron-lbaas-agent_2013.2~b3-1_all.deb
 8855f737ee935a3d4510193c2d60a99193876623733eec3f38b08cec25b2fa67 4160 neutron-plugin-openvswitch-agent_2013.2~b3-1_all.deb
 c1142241a7e675665a48c02a73bdf8dbce978ece10a98e8e8b08af249d7fadcb 4024 neutron-plugin-linuxbridge-agent_2013.2~b3-1_all.deb
 f8442e17a3eb116b843d17bc9009bd020c553c331fde5dc39eea0ee0d4170ccf 2152 python-quantum_2013.2~b3-1_all.deb
 76a86cbe3e25ed15a72b05138467cd5ba2509f19d8f83c8aed4311ee6a9f9eb9 2150 quantum-server_2013.2~b3-1_all.deb
 015c1a34393405c663cbaccbc28d0e9bb0d8585429f052c450ba404982216d76 2156 quantum-common_2013.2~b3-1_all.deb
 88b41d48ffd305b88f3e7ce97c68991541761fbadb7033712a93c2e8fa753e23 2168 quantum-plugin-cisco_2013.2~b3-1_all.deb
 f54fa42fa50d3277fb1088ce6511d07489cf9dab35c507002083fd2afbf44117 2166 quantum-plugin-nec_2013.2~b3-1_all.deb
 b317066e7e8f2d6b257314c54ebd35b115e9c22954550c68ec18c96fd2d00c0a 2164 quantum-plugin-nec-agent_2013.2~b3-1_all.deb
 bb2cf519911df35660bc7e29b16d83032011081e38623d8386c8e6d1acd5486b 2174 quantum-plugin-bigswitch_2013.2~b3-1_all.deb
 f91ed858cb481a731d0bd21264875ac7cc7465a0489d092a258312305a5108fd 2168 quantum-plugin-hyperv_2013.2~b3-1_all.deb
 1644b1faac892fe4c877a7f88b95e6d9c1e639095384a5e1a2aa5b26ec73e1fd 2170 quantum-plugin-brocade_2013.2~b3-1_all.deb
 1a3be5a972ec239bb1e0f4646b866d8652df2cfeb59d3aa6fc3a9e40b65d0655 2172 quantum-plugin-plumgrid_2013.2~b3-1_all.deb
 0a94a16239f7de4be859849f583da0fa8c6e76dd6379f9c7be9c63077254f265 2170 quantum-plugin-metaplugin_2013.2~b3-1_all.deb
 5c7b3834700cba9c9606785e3d1cdad1599b858c4123bd415ac031414e8cc30c 2168 quantum-plugin-nicira_2013.2~b3-1_all.deb
 ffd48e40adb84f932bd8202278ddc246e416ee77aa0de62687265fd3e23a7a42 2158 quantum-l3-agent_2013.2~b3-1_all.deb
 5b14e272a064c2b3a0d1f15b7f558021d2546234a6429e56a2186c7e286615eb 2162 quantum-dhcp-agent_2013.2~b3-1_all.deb
 4839ef064de2fe00794a4d195dd0c1db92d04cf89b5c5b8e1d35ec52883827c4 2168 quantum-metadata-agent_2013.2~b3-1_all.deb
 ac32846332489206207fb7b53678c03e2c978c346f041b47df743560fc167a37 2170 quantum-lbaas-agent_2013.2~b3-1_all.deb
 d8494ac041154e8a43967cccc1beec1d79e849a8ab576d980e866f9a88576f43 2176 quantum-plugin-openvswitch_2013.2~b3-1_all.deb
 a314f271f38ddf369cfd3b88ef607061ec8045cb4add89619b62c371e6f8e272 2178 quantum-plugin-openvswitch-agent_2013.2~b3-1_all.deb
 ecad23ab1baeb4d1babb6c83a3250551d3b3ba029cdbb5f37f38545c82919b0d 2180 quantum-plugin-linuxbridge_2013.2~b3-1_all.deb
 649de0563f067b706e1a4d95462d49dfe1f3a2cb48417551d284b6e8b5a69724 2178 quantum-plugin-linuxbridge-agent_2013.2~b3-1_all.deb
Files: 
 6b63bd42865a68fd5ed2b08046e8622b 4569 net optional neutron_2013.2~b3-1.dsc
 991e527b3165a8bdbf3f438272e89540 946552 net optional neutron_2013.2~b3.orig.tar.xz
 41a4ad7991c0a0ab72710afcdd5c0fe8 22035 net optional neutron_2013.2~b3-1.debian.tar.gz
 a401c3e09bb93ba894997f97d267640c 837850 python optional python-neutron_2013.2~b3-1_all.deb
 9c18a02050c84ad8d0a053cf52782716 11798 net optional neutron-server_2013.2~b3-1_all.deb
 39c13cefca74287a7ff4aa63929152fc 33078 net optional neutron-common_2013.2~b3-1_all.deb
 fdff20218d38d3c581325c18730749e2 2710 net optional neutron-plugin-nec-agent_2013.2~b3-1_all.deb
 e8c2452d138b0372e8e840d1f897d9a6 4850 net optional neutron-l3-agent_2013.2~b3-1_all.deb
 e0c798a99ade03972523dd880925aad7 11328 net optional neutron-dhcp-agent_2013.2~b3-1_all.deb
 03afc6e57d44dbd6afcd22144ff137d8 11330 net optional neutron-metadata-agent_2013.2~b3-1_all.deb
 8e9cafdb1ff3e63e0bfe62f01d0b4416 3910 net optional neutron-metering-agent_2013.2~b3-1_all.deb
 e815a2bd37d9395ef6da0d549b9b5016 3942 net optional neutron-vpn-agent_2013.2~b3-1_all.deb
 bf35b5c9f4c9988f56d15406f9264516 4378 net optional neutron-lbaas-agent_2013.2~b3-1_all.deb
 d5065ee98b17f8c78ad7267363106a06 4160 net optional neutron-plugin-openvswitch-agent_2013.2~b3-1_all.deb
 5ef4ddee2340f6cd5ce839794634aece 4024 net optional neutron-plugin-linuxbridge-agent_2013.2~b3-1_all.deb
 7e141375ba37e3f704fbe6a2c9877e5d 2152 oldlibs optional python-quantum_2013.2~b3-1_all.deb
 f1d9412ad1dfd44da4a4cc2476384749 2150 oldlibs optional quantum-server_2013.2~b3-1_all.deb
 ecd7169500974fae686b30c264f73e10 2156 oldlibs optional quantum-common_2013.2~b3-1_all.deb
 0573aa8404f8b40c3dc5305941764c8c 2168 oldlibs optional quantum-plugin-cisco_2013.2~b3-1_all.deb
 e9264301de3824386018172b1004cf80 2166 oldlibs optional quantum-plugin-nec_2013.2~b3-1_all.deb
 f06691ba8ba2cede5aefea72869cca88 2164 oldlibs optional quantum-plugin-nec-agent_2013.2~b3-1_all.deb
 bf2e0ddea1a6f243207ec94f700cd2a2 2174 oldlibs optional quantum-plugin-bigswitch_2013.2~b3-1_all.deb
 e77c4cd5c5fce608cf34ec5e0df406e5 2168 oldlibs optional quantum-plugin-hyperv_2013.2~b3-1_all.deb
 fdccc7084f1fbc91e4e228f1fa9fec78 2170 oldlibs optional quantum-plugin-brocade_2013.2~b3-1_all.deb
 6c1b33daa9b7f96946ffddc1c826244b 2172 oldlibs optional quantum-plugin-plumgrid_2013.2~b3-1_all.deb
 8fdbdeda5e4cecb33bd737b635d1d01c 2170 oldlibs optional quantum-plugin-metaplugin_2013.2~b3-1_all.deb
 99b4b29eb8453fa01ed5745d06b7c7af 2168 oldlibs optional quantum-plugin-nicira_2013.2~b3-1_all.deb
 9493445b69085449104e2abee529ee6d 2158 oldlibs optional quantum-l3-agent_2013.2~b3-1_all.deb
 e9f7da39e2b548cf05c8f436b930f691 2162 oldlibs optional quantum-dhcp-agent_2013.2~b3-1_all.deb
 450cebda7d3c1d7e9ca19d94d9897b88 2168 oldlibs optional quantum-metadata-agent_2013.2~b3-1_all.deb
 9c1ae1ea4d018a0093a997efda8e84aa 2170 oldlibs optional quantum-lbaas-agent_2013.2~b3-1_all.deb
 1e9d204adbdf565c40bc6db7ece32e1d 2176 oldlibs optional quantum-plugin-openvswitch_2013.2~b3-1_all.deb
 5d2d552279447fc9207af8c013682313 2178 oldlibs optional quantum-plugin-openvswitch-agent_2013.2~b3-1_all.deb
 40834f7900acc30fd4edc8f5c7f8bdc5 2180 oldlibs optional quantum-plugin-linuxbridge_2013.2~b3-1_all.deb
 ede7ba2f020b593ce5a79b5c395f388b 2178 oldlibs optional quantum-plugin-linuxbridge-agent_2013.2~b3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlJKoWYACgkQl4M9yZjvmkloGgCg8KPBComyomUag0prVzT6Xv8f
D+MAni08Oj42b8N1qbPOR69m2tsIpYsn
=LDix
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Nov 2013 07:31:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:15:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.